# BatchDeleteItemCustomParameters

Delete all custom parameters for an item

`DELETE /api/v2/companies/{companyId}/items/{itemId}/custom-parameters`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Items/BatchDeleteItemCustomParameters/

## Description

Delete all the custom parameters for a given item.
            
Custom parameters provide extra information about an item that can be used for various business purposes.
These parameters are stored as key-value pairs where the parameter name is the key and the value is the corresponding data.
            
Custom parameters can be used to store custom attributes, metadata, or any other supplementary information
that doesn't fit into the standard item fields.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this item. |
| `itemId` | integer | path | Yes | The ID of the item you wish to delete the custom parameters. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/custom-parameters" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```